Package wx :: Package py :: Module editwindow :: Class EditWindow

[frames | no frames]

## Type EditWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                StyledTextCtrl --+
                                 |
                                EditWindow

Known Subclasses:
  `Display`, `EditWindow`, `FillingText`, `Shell`

EditWindow based on StyledTextCtrl.

Method Summary
| ``__init__`(self, parent, id, pos, size, style)` Create EditWindow instance.
| ``CanCopy`(self)` Return True if text is selected and can be copied.
| ``CanCut`(self)` Return True if text is selected and can be cut.
| ``CanEdit`(self)` Return True if editing should succeed.
| ``CanPaste`(self)` Return True if pasting should succeed.
| `DoFindNext(self, findData, findDlg)`
| `GetLastPosition(self)`
| `GetRange(self, start, end)`
| `GetSelection(self)`
| ``OnUpdateUI`(self, event)` Check for matching braces.
| `setDisplayLineNumbers(self, state)`
| ``setStyles`(self, faces)` Configure font size, typeface and color for lexer.
| `ShowPosition(self, pos)`

Property Summary

Class Variable Summary
`str` | `revision` = `'1.14'`

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=138412032)
(Constructor)

Create EditWindow instance.

  Overrides:
    `wx.stc.StyledTextCtrl.__init__`

### CanCopy(self)

Return True if text is selected and can be copied.

### CanCut(self)

Return True if text is selected and can be cut.

### CanEdit(self)

Return True if editing should succeed.

### CanPaste(self)

Return True if pasting should succeed.

  Overrides:
    `wx.stc.StyledTextCtrl.CanPaste`

### OnUpdateUI(self, event)

Check for matching braces.

### setStyles(self, faces)

Configure font size, typeface and color for lexer.

Class Variable Details

### revision

  Type:
    `str`
  Value:

        '1.14'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:09 2007 | http://epydoc.sf.net